Update an API-authored Activity
Only the API key that created an Activity can update it, including repairing the stored Team Member author. Required scope: activities:write.
Only the API key that created an Activity can update it, including repairing the stored Team Member author. Required scope: activities:write.
Update an API-authored Activity. Use an organization API key with activities:write. Check the response envelope and meta.requestId before triggering dependent workflow steps.
Required scopes
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| idrequired | path | string | Activity identifier returned by the Organization API. |
Request body
| Field | Type | Description |
|---|---|---|
| type | NOTE | CALL | EMAIL | MEETING | SMS | TASK | Optional unless marked required. |
| content | string | Optional unless marked required. |
| authorId | string | Optional unless marked required. |
| visibility | INTERNAL | TEAM | CUSTOMER | Optional unless marked required. |
| isPinned | boolean | Optional unless marked required. |
| metadata | object | Optional unless marked required. |
{
"content": "Customer requested a battery backup option.",
"isPinned": true
}Responses
Updated Activity envelope
#/components/schemas/OrgApiResourceEnvelope
Missing or invalid organization API key
#/components/schemas/OrgApiError
Organization billing access or an endpoint-specific business quota denied the request
#/components/schemas/OrgApiError
Different author
#/components/schemas/OrgApiError
Rate limit exceeded
#/components/schemas/OrgApiError
Errors
Static examples
curl -X PATCH "$SOLAROS_BASE_URL/api/v1/activities/$SOLAROS_ACTIVITY" \
-H "Authorization: Bearer $SOLAROS_API_KEY" \
-H "Content-Type: application/json" \
--data '{"content":"Customer requested a battery backup option.","isPinned":true}'